<?php
header('Content-Type: application/json');
include_once('./classes/conexao.php');	
if(!isset($_GET['token'])){
	$mensagem = '{"code":"400","message":"Parametros não preenchido!"}';
	echo $mensagem;
    die();
}
$token = 'ajr123';
$chave = $_GET['token'];
$manifesto = $_GET['manifesto'];
if($chave <> $token){
    $mensagem = '{"code":"400","message":"Token invalido!"}';
	echo $mensagem;
    die();	
}
$json = file_get_contents("php://input");
$obj = json_decode($json);
foreach($obj as $itemsom) { 
    $placa = $itemsom->placa;     
	$filial = $itemsom->filial;
	$cte = $itemsom->cte;
}
if(!isset($placa)){
	echo"[]";
	die();
}
if(!isset($filial)){
	echo"[]";
	die();
}
if(!isset($cte)){
	echo"[]";
	die();
}
if($manifesto == ''){
$sql = "select a.codigo, a.filial, a.cte, a.manifesto, a.filmanifesto, a.serieman, a.data
from entregas a 
where a.status = 5 
and a.placa = '$placa' 
and a.filial = '$filial' 
and a.cte = '$cte'  ";
$resultadosql = $conn->prepare($sql);
$resultadosql->execute();
$resultadosql = $resultadosql->fetchAll(PDO::FETCH_ASSOC);
echo json_encode($resultadosql, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);	
}else{
$sql = "select a.codigo, a.filial, a.cte, a.manifesto, a.filmanifesto, a.serieman, a.data
from entregas a 
where a.status = 5 
and a.placa = '$placa' 
and a.filial = '$filial' 
and a.cte = '$cte' and a.manifesto = '$manifesto' ";
$resultadosql = $conn->prepare($sql);
$resultadosql->execute();
$resultadosql = $resultadosql->fetchAll(PDO::FETCH_ASSOC);
echo json_encode($resultadosql, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);}
?>